Bug 863286 - Rebase nspr to 4.9.2 or 4.9.3
Summary: Rebase nspr to 4.9.2 or 4.9.3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nspr
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Elio Maldonado Batiz
QA Contact: Aleš Mareček
URL:
Whiteboard:
: 833149 883780 (view as bug list)
Depends On:
Blocks: 837089 863285
TreeView+ depends on / blocked
 
Reported: 2012-10-05 00:19 UTC by Elio Maldonado Batiz
Modified: 2015-05-06 11:15 UTC (History)
6 users (show)

Fixed In Version: nspr-4.9.2-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-21 10:44:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:0445 normal SHIPPED_LIVE nss, nss-util, nspr bug fix and enhancement update 2013-02-20 21:07:50 UTC

Description Elio Maldonado Batiz 2012-10-05 00:19:57 UTC
Description of problem: Rebasing nspr to 4.9.3 is required to be rebase nss-util and nss to 3.14 which have been requested to add support for TLS 1.1.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Kai Engert (:kaie) (inactive account) 2012-10-12 15:14:24 UTC
Built nspr-4.9.2-1.el6

(NSPR 4.9.2 shall be sufficient for NSS 3.14, NSPR 4.9.3 is not yet ready.)

Comment 5 Karel Srot 2012-10-15 13:02:29 UTC
Hi,
could you please summarize changes since last build and point out some items that deserve to be tested (except TLS1.1?
Thank you in advance.

Comment 6 Bob Relyea 2012-10-16 19:34:02 UTC
The only new change to NSPR are two new functions:

PR_SetCurrentThreadName() and PR_GetCurrentThreadName().

I believe the normal regression tests should suffice, I'll have Elio look up any tests for the two new NSPR functions (he'll be in Wednesday).

bob

Comment 7 Elio Maldonado Batiz 2012-10-18 18:59:57 UTC
There are now tests for this functions that I can see.

/*
** Set the name of the current thread, which will be visible in a debugger
** and accessible via a call to PR_GetThreadName().
*/
NSPR_API(PRStatus) PR_SetThreadName(const char *name);	changed to	
NSPR_API(PRStatus) PR_SetCurrentThreadName(const char *name);

This is a renaming to make it's purpose clear.
 		 
/*
** Return the name of "thread", if set. Otherwise return NULL.
*/
NSPR_API(const char *) PR_GetThreadName(); changed to	
NSPR_API(const char *) PR_GetThreadName(const PRThread *thread);

In this one it was implicitly the current thread only and now the caller
specifies the thread whose name is desired. This was requested to help in debugging. 

I don't see any unit tests added specifically for this. If we write some simple test is best to add it to nspr's own test suite and contribute it upstream.

Comment 8 Karel Srot 2012-10-29 16:39:01 UTC
*** Bug 833149 has been marked as a duplicate of this bug. ***

Comment 9 Aleš Mareček 2012-10-30 14:54:39 UTC
Hi Elio,
how does it look like with those tests for functions mentioned in comment#7? Could I help somehow?
Regards!

Comment 10 Elio Maldonado Batiz 2012-10-30 17:25:59 UTC
(In reply to comment #9)
> Hi Elio,
> how does it look like with those tests for functions mentioned in comment#7?
> Could I help somehow?
> Regards!

Yes, I could use a second pair of eyes to get them correctly sooner and it will help you undertand you understand nspr a bit better.

Comment 11 Aleš Mareček 2012-12-06 14:20:31 UTC
*** Bug 883780 has been marked as a duplicate of this bug. ***

Comment 12 Bob Relyea 2013-01-22 17:53:36 UTC
Hmm, the bug is in the errata, I don't see any unanswered QA questions, moving to ON_QA.

Comment 15 errata-xmlrpc 2013-02-21 10:44:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0445.html


Note You need to log in before you can comment on or make changes to this bug.